Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.render.java2d
Class Java2DSVGHandler

    java.lang.Object
      org.apache.fop.render.AbstractGenericSVGHandler
          org.apache.fop.render.java2d.Java2DSVGHandler

All Implemented Interfaces:
  Java2DRendererContextConstants, RendererContextConstants, XMLHandler

    public class Java2DSVGHandler

extends AbstractGenericSVGHandler
implements Java2DRendererContextConstants

Java2D XML handler for SVG (uses Apache Batik). This handler handles XML for foreign objects when rendering to Java2D. The properties from the Java2D renderer are subject to change.

Nested Class Summary
`static class` | `Java2DSVGHandler.Java2DInfo` Java2D information structure for drawing the XML document.

Field Summary

Fields inherited from interface org.apache.fop.render.java2d.Java2DRendererContextConstants
`JAVA2D_STATE`

Fields inherited from interface org.apache.fop.render.RendererContextConstants
`FOREIGN_ATTRIBUTES, HANDLER_CONFIGURATION, HEIGHT, OUTPUT_STREAM, PAGE_VIEWPORT, WIDTH, XPOS, YPOS`

Fields inherited from interface org.apache.fop.render.XMLHandler
`HANDLE_ALL`

Constructor Summary
`Java2DSVGHandler()` Create a new Java2D XML handler for use by the Java2D renderer and its subclasses.

Method Summary
`static Java2DSVGHandler.Java2DInfo` | `getJava2DInfo(RendererContext context)` Get the pdf information from the render context.
`protected void` | `renderSVGDocument(RendererContext context, org.w3c.dom.Document doc)` Render the SVG document.
`boolean` | `supportsRenderer(Renderer renderer)` Checks if this XMLHandler supports handling an XML namespace for a particular renderer.

Methods inherited from class org.apache.fop.render.AbstractGenericSVGHandler
`buildGraphicsNode, createGraphics2DImagePainter, getDocumentURI, getImageSize, getNamespace, handleXML, updateRendererContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Java2DSVGHandler

    public Java2DSVGHandler()

  Create a new Java2D XML handler for use by the Java2D renderer and its subclasses.

Method Detail

### getJava2DInfo

    public static Java2DSVGHandler.Java2DInfo getJava2DInfo(RendererContext context)

  Get the pdf information from the render context.

  Parameters:
    `context` - the renderer context
  Returns:
    the pdf information retrieved from the context

### renderSVGDocument

    protected void renderSVGDocument(RendererContext context,
                                     org.w3c.dom.Document doc)

  Render the SVG document.

  Overrides:
    `renderSVGDocument` in class `AbstractGenericSVGHandler`
  Parameters:
    `context` - the renderer context
    `doc` - the SVG document

### supportsRenderer

    public boolean supportsRenderer(Renderer renderer)

  Checks if this XMLHandler supports handling an XML namespace for a particular renderer.

  Specified by:
    `supportsRenderer` in interface `XMLHandler`
  Parameters:
    `renderer` - the renderer for which to check.
  Returns:
    true if this XML handler supports a particular renderer

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2016 The Apache Software Foundation. All Rights Reserved.